<template>
<div>
    <div class="row">
     <div class="col-1"></div>
        <div class="col-10">
            <div class="card">
                <div class="card-header text-left">
                <span style="font-family:'times';font-size:150%;font-weight:bold"><i class="fab fa-medrt icon-2xt " ></i> Type Médicament</span>
                </div>
                <div class="card-body">
                 <div class="form-group row">
                 
                 <router-link to="/type-medicament" class="btn btn-primary" style="margin-left:2%"><i class="fas fa-align-justify icon-2xt"></i>Gerer les type de médicaments</router-link>
                 <router-link to="/type-medicament-add" class="btn btn-success" style="margin-left:2%"><i class="fab fa-medrt icon-2xt " ></i> Ajouter un type de médicament</router-link>
                 </div>
                <form>
                    <div class="form-group row">
                    <label class="col-3 form-group" style="font-family:'times';font-size:140%" >Nom du type medicament</label>
                    <input type="text" placeholder="Nom du type medicament" class="col-6 col-mr-2 form-control" style="margin-right:1%" v-model="libelletypemedicament"/>
                     <button type="button" class="col-2 col-mr-2 form-control btn-success"  v-on:click="createTypeMedicament()" >enregistrer</button>
                   </div>
                </form>
                </div>
            </div>
        </div>
    </div>
</div>
</template>

<script>


export default {
  name: 'AddTypeMedicament',
  components: {
  },
  data(){
      return{
          libelletypemedicament:"",
      }
  },
  created(){
      
  },
  methods:{
   show(data){
     if(data.status){
         this.$toasted.success('Opération éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error('Veuillez reésayer  cet élément existe déja').goAway(2000);
     }
 },
  createTypeMedicament(){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({ libelle: this.libelletypemedicament })
     };
  fetch("http://127.0.0.1:8000/api/auth/type_medicament/create", requestOptions)
    .then(response => response.json())
    .then(data => (console.log(data),this.show(data),this.libelletypemedicament=""));
  
  }
  }
}
</script>
